#ifndef __MODEL_PHRASE__
#define __MODEL_PHRASE__

#include <deque>
using namespace std;

class Phrase;
typedef deque <Phrase*>	Phrase_dq_t;
typedef deque <void*>	PhraseDocument_dq_t;


class Phrase
{
	public:
		static unsigned int	sui_PhraseCount;
		static Phrase_dq_t	sdq_Phrases;

		double* 			pd_SimilarityVector;
		double*				pd_TopicProbability;
		unsigned int		ui_Topic;
		PhraseDocument_dq_t	dq_PhraseDocuments;


		Phrase (void);
		~Phrase (void);

		static bool Load (void);
		static void InitParameters (void);
		static void Clear (void);
};



#endif
