#ifndef __NLP_GSL_EXT__
#define __NLP_GSL_EXT__

#include <nlp_filesystem.h>
#include <gsl/gsl_linalg.h>
#include <iostream>

std::ostream& operator<< (std::ostream& _rStream, gsl_vector* _pVector);
std::ostream& operator<< (std::ostream& _rStream, gsl_matrix* _pMatrix);

CsvFile& operator<< (CsvFile& _rFile, gsl_vector* _pVector);
CsvFile& operator<< (CsvFile& _rFile, gsl_matrix* _pMatrix);

CsvFile& operator>> (CsvFile& _rFile, gsl_vector** _ppVector);
CsvFile& operator>> (CsvFile& _rFile, gsl_matrix** _ppMatrix);

#endif
